### Method

# GUsb Device set_interface_alt

since: 0.2.8

#### Declaration

    gboolean
    g_usb_device_set_interface_alt (
      GUsbDevice* self,
      gint interface,
      guint8 alt,
      GError** error
    )

#### Description

Sets an alternate setting on an interface.

Available since: 0.2.8

#### Parameters

`interface`

  Type: `gint`

  BInterfaceNumber of the interface you wish to release.

`alt`

  Type: `guint8`

  Alternative setting number.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.